html{
    font-size: 13px;
    font-family: source-han-sans-japanese, sans-serif;
    scroll-behavior: smooth;

}

/*************************
header 
*************************/

.header{
    height: 70px;
    margin-bottom: 100px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: #fff;
    z-index: 999;
    
}

.header-inner{
    display: flex;
    justify-content: space-between;
    padding: 0 33px;
    padding-top: 15px;
}

.logo{
    margin: auto 0;
    z-index: 999;
}

.logo img{
    width: 105px;
}

#menu-btn{
    display: none;
}

.h-menu{
    background: #d3d3d4;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    position: relative;
    cursor: pointer;
    z-index: 99;
}

.h-menu span,
.h-menu span::before,
.h-menu span::after{
    position: absolute;
    content: "";
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    margin: auto;
    border-radius: 2px;
    border: 2px;
    background: #fff;
    width: 25px;
    height: 3px;
    transition: all 300ms 0s ease;
}

.h-menu span::before{
    top: -7px;
}

.h-menu span::after{
    top: 10px;
}

.menu{
    position: fixed;
    top: -600px;
    right: 0;
    left: 0;
    width: 100%;
    height: auto;
    color: #fff;
    background-color: rgba(0,0,0,0.8);
    padding: 70px 0 33px 33px;
    transition: all 400ms 0s ease;
    /* z-index: 99; */
}

.menu a{text-decoration: none;}

/* .menu::before{
    position: absolute;
    content: "";
    top: 5px;
    right: -15px;
    transform: rotate(45deg);
    border-style: solid;
    border-color: transparent #000;
    border-width: 0 30px 30px 0;
    border-radius: inherit;
    
} */

.menu-item{
    font-size: 1.2rem;
    padding: 10px;
    position: relative;
}

.menu-item:hover{
    font-size: 1.4rem;
    font-weight: bold;
}

.menu-item a{
    color: #fff;
}

.menu-item::after{
    position: absolute;
    bottom: 0;
    left: 0;
    content: "";
    width: 250px;
    height: 3px;
    background: #000;

    transform: scale(0,1);
    transform-origin: right top;
    transition: transform .3s;
}

.parent-menu{
    padding: 10px 0 0 0;
}

.child-menu{
    padding: 10px 0 0 10px;
    padding-left: 0;
}

.parent-menu-arrow{
    position: relative;
}

.parent-menu-arrow a::after{
    position: absolute;
    top: 10px;
    content: "▼";
}



@keyframes line-animation {
    0% { transform: scale(1.5) }
    30% { transform:translateX(-30px) }
}

.menu-down{
    height: 0;
    transition: max-height 3s 0s ease;
    overflow: hidden;
}

.menu-down-company{
    height: 0;
    transition: max-height 3s 0s ease;
    overflow: hidden;
}

.menu-down-regist{
    height: 0;
    transition: max-height 3s 0s ease;
    overflow: hidden;
}

#menu-down,
#menu-down-about,
#menu-down-company,
#menu-down-regist,
#menu-down-login,
#line-close-btn{
    display: none;
}

/*************************
menu-downをクリックした時 
*************************/

#menu-down:checked ~ .menu-down,
#menu-down-about:checked ~ .menu-down,
#menu-down-company:checked ~ .menu-down-company,
#menu-down-regist:checked ~ .menu-down-regist{
    height: auto;
}

/* #menu-down:checked ~ .parent-menu-arrow a::after,
#menu-down-company:checked ~ .parent-menu-arrow a::after,
#menu-down-about:checked ~ .parent-menu-arrow a::after{
    transition: all 300ms 0s ease;
    content: "▲";
} */


/*************************
h-menuをクリックした時 
*************************/

#menu-btn:checked ~ .h-menu{
    width: 30px;
    height: 30px;
    background: #000;
    border-radius: 50%;
}

#menu-btn:checked ~ .h-menu span {
    background-color: rgba(255, 255, 255, 0);
    transition: all 300ms 0s ease;
}

#menu-btn:checked ~ .h-menu span::before {
    transform: rotate(45deg);
    transition: all 300ms 0s ease;
    bottom: -2px;
    width: 20px;
    height: 2px;
    margin-bottom: 2px;
}

#menu-btn:checked ~ .h-menu span::after {
    transform: rotate(-45deg);
    top: 1px;
    width: 20px;
    height: 2px;
    transition: all 300ms 0s ease;
}

#menu-btn:checked ~ .menu {
    top: 0px;
    z-index: 98;
}

.logo-img {
    filter: invert(88%) sepia(61%) saturate(0%) hue-rotate(229deg) brightness(107%) contrast(101%);
}

.menu-bg{
    /* transition : all 1s ease 0s; */
    position: fixed;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1;
    /* background: #000; */
}

/*************************
LINE@
*************************/

.line-wrapper{
    position: fixed;
    top: 290px;
    right: 30px;
    z-index: 50;
    background: #fff;
}

.line-inner{
    position: relative;
}

#close-btn,
#company-close-btn,
#coupon-close-btn
{
    display: none;
}

.close-btn span{
    position: absolute;
    top: -25px;
    right: 0px;
    display: block;
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin: 0 0 0 auto;
    background: #000;
    border-radius: 50%;
}

.close-btn span::before,
.close-btn span::after{
    position: absolute;
    top: 9px;
    right: 4px;
    content: "";
    width: 12px;
    height: 2px;
    background: #fff;
    border-radius: 2px;
}

.close-btn span::before{
    transform: rotate(45deg);
}

.close-btn span::after{
    transform: rotate(-45deg);
}

.line-text{
    line-height: 1.8rem;
    font-size: 16px;
    font-weight: bold;
    text-align: center;
}

.line-img{
    text-align: center;
}

.line-img img{
    width: 100px;
    height: 100px;
}

/*************************
close-btnをクリックした時 
*************************/

#close-btn:checked + .line-wrapper{
    transition: all 300ms 0s ease;
    opacity: 0;
    visibility: hidden;
}

/*************************
line / company / coupon _side 
*************************/
.line-side__wrapper{
    display: none;
}

.company-side__wrapper{
    position: fixed;
    top: 435px;
    right: 30px;
    z-index: 50;
}

.company-side-text img{
    width: 100px;
}

.company-side-text-sp{
    display: none;
}

.company-side-btn span{
    top: 5px;
}

.coupon-side__wrapper{
    position: fixed;
    top: 515px;
    right: 30px;
    z-index: 50;
}

.coupon-side-text img{
    width: 100px;
}

.coupon-side-text-sp{
    display: none;
}

/*************************
consultation side (SP only)
*************************/
.consultation-side__wrapper{
    position: fixed;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    z-index: 50;
}

.consultation-side-btn.consultation-side-btn-pc-hide{
    display: none !important;
}

@media screen and (min-width: 769px) {
    .consultation-side-btn.consultation-side-btn-pc-hide{
        display: none !important;
    }
}

.consultation-side-btn{
    display: block;
    text-decoration: none;
    border-radius: 3px;
    font-weight: bold;
    font-size: 12px;
    text-align: center;
    writing-mode: vertical-rl;
    -ms-writing-mode: tb-rl;
    -webkit-writing-mode: vertical-rl;
    padding: 12px 6px;
    margin-bottom: 10px;
    color: #fff;
    box-sizing: border-box;
    max-width: 50px;
}

.consultation-side-btn:link,
.consultation-side-btn:visited,
.consultation-side-btn:hover,
.consultation-side-btn:active{
    color: #fff;
    text-decoration: none;
}

.consultation-side-btn-red{
    background: #e74c3c;
    min-height: 140px;
}

.consultation-side-btn-black{
    background: #000;
    min-height: 140px;
}

.consultation-side-btn-blue{
    background: #0080f8;
    min-height: 140px;
}

.consultation-side-text{
    display: inline-block;
    letter-spacing: 0.1em;
    color: #fff;
}

.consultation-side-text span{
    display: inline-block;
    transform: rotate(-90deg);
}

#line-close-btn:checked ~ .line-side__wrapper{
    transition: all 300ms 0s ease;
    opacity: 0;
    visibility: hidden;
}

#company-close-btn:checked ~ .company-side__wrapper{
    transition: all 300ms 0s ease;
    opacity: 0;
    visibility: hidden;
}

#coupon-close-btn:checked ~ .coupon-side__wrapper{
    transition: all 300ms 0s ease;
    opacity: 0;
    visibility: hidden;
}

/*************************
h-up
*************************/
.h-up{
    position: fixed;
    bottom: 15px;
    right: 33px;
    cursor: pointer;
    z-index: 99;
    content: "";
    background: #d3d3d4;
    width: 40px;
    height: 40px;
    border-radius: 5px;

    transition : all 1s ease 0s;
    opacity: 0; 
    visibility: hidden;
}

.h-up span{
    position: relative;
}

.h-up span::before,
.h-up span::after{
    position: absolute;
    content: "";
    /* top: 19px; */
    left: 8px;
    right: 0;
    margin: auto;
    border-radius: 2px;
    border: 2px;
    background: #fff;
    width: 15px;
    height: 3px;
    transform: rotate(-45deg);
    animation: up-down 1s ease-in-out infinite;
}

.h-up span::before{
    left: 18px;
    right: 0;
    transform: rotate(45deg);

}

@keyframes up-down {
    0% { top: 19px; } 
    50% { top: 14px; }
    100% { top: 19px; }   
}

.add-h-up{
    transition : all 1s ease 0s;
    opacity: 1;
    visibility: visible;
}

/*************************
search-icon
*************************/

.search-icon{
    text-align: right;
    margin-top: 20px;
    position: absolute;
    top: 0;
    right: 85px;
}

.search-icon img{
    cursor: pointer;
    width: 30px;
    height: 30px;
}

.search-modal{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    z-index: 999;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,0.5);
}

.search-close,
.search-close::after{
    position: absolute;
    cursor: pointer;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    content: "";
    width: 25px;
    height: 2px;
    background: #fff;
    border-radius: 2px;
    z-index: 999;
}

.search-close{
    top: 37%;
    left: 58%;
    transform: rotate(-45deg);
}

@media screen and (max-width:768px) {
    .search-modal-inner > img{
        top: 38.8%;
    }
}

.search-close{
    top: 37%;
    left: 58%;
    transform: rotate(-45deg);
}

@media screen and (max-width:768px) {
    .search-close{
        top: 35%;
        left: 80%;
    }
}

.search-close::after{
    top: 0;
    left: 0;
    transform: rotate(90deg);
}

.search-modal-inner{
    position: relative;
    width: 285px;
    height: 100vh;
    margin: auto;
}
.search-area{
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    z-index: 999;
    width: 270px;
    height: 30px;
    border-radius: 5px;
    padding-left: 30px;
}

.search-modal-inner > img{
    position: absolute;
    top: 39.3%;
    left: 15px;
    width: 15px;
    z-index: 9999;
}

@media screen and (max-width:768px) {
    .search-modal-inner > img{
        top: 38.8%;
    }
}

.search-modal-inner > input{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-50%);
    -webkit- transform: translateY(-50%) translateX(-50%);
    margin: auto;
    border-radius: 10px;
    background: #000;
    color: #fff;
    cursor: pointer;
    height: 32px;
    width: 60px;
    z-index: 9999;

    background-image: url("http://127.0.0.1:8000/img/home/serch.png");
}

/*************************
main
*************************/

.main-wrapper{
    padding-top: 100px;
    max-width: 768px;
    width: 100%;
    margin: auto;
}

.main-wrapper-p{
    padding-top: 100px;
    max-width: 1165px;
    width: 100%;
    margin: auto;
}

.main-wrapper-p2{
    padding-top: 100px;
    width: 100%;
    margin: auto;
    max-width: 1000px;
}